package com.virtualmachinery.btreedemo;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import javax.swing.JPanel;


public class ImagePanel extends JPanel {
	
	private static final long serialVersionUID = 1L;
	BufferedImage bufferedImage;

    public void paint(Graphics g) {
    	super.paint(g);
        if (bufferedImage != null) {
        	Graphics2D g2 = (Graphics2D)g;
        	g2.drawImage(bufferedImage,5,5,this.getWidth()-10, this.getHeight()-10, null);
        }
    }

	public void setBufferedImage(BufferedImage img) {
		bufferedImage = img;
		repaint();
	}

}
